pssr.h File Reference

Classes for probabilistic signature schemes. More...

Go to the source code of this file.

## Classes

class | PSSR_MEM_Base
| PSSR Message Encoding Method interface. More...
class | PSSR_MEM_BaseWithHashId< true >
| PSSR Message Encoding Method with Hash Identifier. More...
class | PSSR_MEM_BaseWithHashId< false >
| PSSR Message Encoding Method without Hash Identifier. More...
class | PSSR_MEM< ALLOW_RECOVERY, MGF, SALT_LEN, MIN_PAD_LEN, USE_HASH_ID >
| PSSR Message Encoding Method. More...
struct | PSSR
| Probabilistic Signature Scheme with Recovery. More...
struct | PSS
| Probabilistic Signature Scheme with Appendix. More...

## Detailed Description

Classes for probabilistic signature schemes.

Since
  Crypto++ 2.1

Definition in file pssr.h.